﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.81
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Service_Create
	Dim jo As JavaObject
	jo.InitializeStatic("com.google.android.gms.security.ProviderInstaller")
	Dim context As JavaObject
	context.InitializeContext
	Dim listener As Object = jo.CreateEventFromUI("com.google.android.gms.security.ProviderInstaller.ProviderInstallListener", _
		"listener", Null)
	Log("Installing security provider if needed...")
	jo.RunMethod("installIfNeededAsync", Array(context, listener))
	Wait For listener_Event (MethodName As String, Args() As Object)
	If MethodName = "onProviderInstalled" Then
		Log("Provider installed successfully")
	Else
		Log("Error installing provider: " & Args(0))
	End If
	Dim ws As WebSocket
	ws.Initialize("ws")
	ws.Connect("wss://b4x.com:51041/smiley/ws")
	Log("Connecting")
	Wait For ws_Connected
	Log("connected")
	Wait For ws_TextMessage (Message As String)
	Log(Message)
End Sub

Sub ws_Closed (Reason As String)
	Log("error: " & Reason)
End Sub


Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
